#pragma once

#include "vera_base/Interactor.hpp"

namespace vera
{

class Pump
{
public:
  Pump();
  ~Pump();

  virtual void loadUp(Interactor& interactor) = 0;
  virtual void dropSample(Interactor& interactor) = 0;  // On for 20 sec on first and 10 on sec
  virtual void dump(Interactor& interactor) = 0;
private:
};
}
